Bug 191996 - devel/llvm33 - when build get "'armv6' (not in project)". Fix is shown
Summary: devel/llvm33 - when build get "'armv6' (not in project)". Fix is shown
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-21 02:43 UTC by direct727
Modified: 2014-09-25 19:12 UTC (History)
3 users (show)

See Also:


Attachments
A replacement patch-utils_llvm-build_llvmbuild_main.py file (1013 bytes, patch)
2014-08-11 02:17 UTC, Ian Lepore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description direct727 2014-07-21 02:43:11 UTC
Change Two Files:
/usr/ports/devel/llvm33/work/llvm-3.3.src/utils/llvm-build/llvmbuild/main.py
/usr/ports/lang/clang33/work/llvm-3.3.src/utils/llvm-build/llvmbuild/main.py

Fix: line 657
+                           'armeb' : 'ARM',
+                           'armv6' : 'ARM',
+                           'armv6hf' : 'ARM',

Machine:
FreeBSD raspberry-pi 10.0-STABLE FreeBSD 10.0-STABLE #0 r268038: Tue Jul  1 04:29:43 UTC 2014     root@grind.freebsd.org:/usr/obj/arm.armv6/usr/src/sys/RPI-B  arm

Port: llvm33 and clang33

# $FreeBSD: head/devel/llvm33/Makefile 360370 2014-07-03 13:48:17Z robak $
PORTNAME=       llvm
PORTVERSION=    3.3
PORTREVISION=   8



Problem:
Problem is  the first line of the build text below, i.e. 'armv6' (not in project)
Excerpt of the build fail shown below
-----
llvm-build: error: invalid native target: 'armv6' (not in project)
llvm[3]: Building llvm-config BuildVariables.inc file.
llvm[3]: Compiling llvm-config.cpp for Release build
llvm-config.cpp:45:10: fatal error: 'LibraryDependencies.inc' file not found
#include "LibraryDependencies.inc"
         ^
1 error generated.
rm: /usr/ports/devel/llvm33/work/llvm-3.3.src/tools/llvm-config/Release/llvm-config.d.tmp: No such file or directory
gmake[3]: *** [/usr/ports/devel/llvm33/work/llvm-3.3.src/tools/llvm-config/Release/llvm-config.o] Error 1
gmake[3]: Leaving directory `/usr/ports/devel/llvm33/work/llvm-3.3.src/tools/llvm-config'
gmake[2]: *** [all] Error 1
gmake[2]: Leaving directory `/usr/ports/devel/llvm33/work/llvm-3.3.src'
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** Error code 1

Stop.
make[1]: stopped in /usr/ports/devel/llvm33
*** Error code 1

Stop.
make: stopped in /usr/ports/devel/llvm33

===>>> make build failed for devel/llvm33
===>>> Aborting update

===>>> Update for devel/llvm33 failed
===>>> Aborting update

===>>> Update for lang/clang33 failed
===>>> Aborting update


===>>> You can restart from the point of failure with this command line:
       portmaster <flags> lang/clang33 devel/llvm33
Comment 1 Ian Lepore freebsd_committer 2014-08-11 02:15:39 UTC
This change actually needs to be made to all clang* and llvm* ports.  I ran into the same thing building clang-devel native on a wandboard.  I fixed it in both clang-devel and llvm-devel with the attached patch-utils_llvm-build_llvmbui file.  I suspect this same file can be dropped into all the versions.
Comment 2 Ian Lepore freebsd_committer 2014-08-11 02:17:51 UTC
Created attachment 145644 [details]
A replacement patch-utils_llvm-build_llvmbuild_main.py file

Note that this is a replacement for the existing patch file with this name, not a patch to fix the existing patch.  :)
Comment 3 John Marino freebsd_committer 2014-09-20 18:36:12 UTC
Brooks, what's going on with this PR?  It's been in "needs approval" for more than 2 months.  I've passed over it several times thinking it was in work but I guess it's genuinely stalled.
Comment 4 Brooks Davis freebsd_committer 2014-09-25 13:31:13 UTC
I thought I'd committed the change to llvm33, but apparently had only applied it to my tree.  I'll commit to llvm33, llvm34, llvm35, and llvm-devel today.
Comment 5 Ian Lepore freebsd_committer 2014-09-25 13:37:01 UTC
Justin Hibbits pointed out on irc that I forgot to include powerpc64 in my changes, please add that in too.
Comment 6 commit-hook freebsd_committer 2014-09-25 14:01:43 UTC
A commit references this bug:

Author: brooks
Date: Thu Sep 25 14:01:34 UTC 2014
New revision: 369255
URL: http://svnweb.freebsd.org/changeset/ports/369255

Log:
  Enable builds on/for Raspberry Pi and other arm variants.

  USES=python

  PR:		191996
  Submitted by:	direct727@gmail.com
  Sponsored by:	DARPA, AFRL

Changes:
  head/devel/llvm33/Makefile
  head/devel/llvm33/files/patch-utils_llvm-build_llvmbuild_main.py
  head/devel/llvm34/Makefile
  head/devel/llvm34/files/patch-utils_llvm-build_llvmbuild_main.py
Comment 7 commit-hook freebsd_committer 2014-09-25 14:30:47 UTC
A commit references this bug:

Author: brooks
Date: Thu Sep 25 14:30:25 UTC 2014
New revision: 369259
URL: http://svnweb.freebsd.org/changeset/ports/369259

Log:
  Add the possiblity of building on powerpc64.

  PR:		191996
  Sponsored by:	DARPA/AFRL

Changes:
  head/devel/llvm33/files/patch-utils_llvm-build_llvmbuild_main.py
  head/devel/llvm34/files/patch-utils_llvm-build_llvmbuild_main.py
Comment 8 commit-hook freebsd_committer 2014-09-25 18:36:11 UTC
A commit references this bug:

Author: brooks
Date: Thu Sep 25 18:36:00 UTC 2014
New revision: 369282
URL: http://svnweb.freebsd.org/changeset/ports/369282

Log:
  Upgrade to 3.5.0 release.

  USES=python

  Give the port a chance of building on more arm systems and powerpc64. [0]

  Allow building on 9 in the default configuration as it works for me.
  Disallow llvm35 on 8 due to bizzare gcc behavior.

  PR:		191996 [0]
  Submitted by:	direct727@gmail.com [0]
  Sponsored by:	DARPA, AFRL

Changes:
  head/devel/llvm35/Makefile
  head/devel/llvm35/distinfo
  head/devel/llvm35/files/patch-utils_llvm-build_llvmbuild_main.py
  head/devel/llvm35/pkg-plist
  head/lang/clang35/Makefile
  head/lang/clang35/distinfo
Comment 9 commit-hook freebsd_committer 2014-09-25 19:11:16 UTC
A commit references this bug:

Author: brooks
Date: Thu Sep 25 19:10:22 UTC 2014
New revision: 369283
URL: http://svnweb.freebsd.org/changeset/ports/369283

Log:
  Upgrade to r218451.

  USES=python

  Give llvm a chance to build on arm* and powerpc64 systems. [0]

  PR:		191996 [0]
  Submitted by:	direct727@gmail.com [0]
  Sponsored by:	DARPA, AFRL

Changes:
  head/devel/llvm-devel/Makefile
  head/devel/llvm-devel/Makefile.svn_rev
  head/devel/llvm-devel/distinfo
  head/devel/llvm-devel/files/patch-utils_llvm-build_llvmbuild_main.py
  head/devel/llvm-devel/pkg-plist
  head/lang/clang-devel/Makefile
  head/lang/clang-devel/distinfo
  head/lang/clang-devel/files/patch-tools_clang_include_clang_Analysis_Analyses_FormatString.h
  head/lang/clang-devel/files/patch-tools_clang_lib_Analysis_FormatString.cpp
  head/lang/clang-devel/files/patch-tools_clang_lib_Analysis_PrintfFormatString.cpp
  head/lang/clang-devel/pkg-plist